Bug 221262 - [macOS] Add support for accessibility image extraction
Summary: [macOS] Add support for accessibility image extraction
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-02-02 08:52 PST by Wenson Hsieh
Modified: 2021-02-06 22:08 PST (History)
3 users (show)

See Also:


Attachments
Patch (3.54 KB, patch)
2021-02-03 08:43 PST, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Adjust for changes in #221236 (3.92 KB, patch)
2021-02-05 13:35 PST, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Patch for landing (3.91 KB, patch)
2021-02-06 21:16 PST, Wenson Hsieh
wenson_hsieh: commit-queue+
Details | Formatted Diff | Diff
Patch for landing (3.90 KB, patch)
2021-02-06 21:24 PST, Wenson Hsieh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2021-02-02 08:52:46 PST
<rdar://problem/70744978>
Comment 1 Wenson Hsieh 2021-02-03 08:43:15 PST
Created attachment 419141 [details]
Patch
Comment 2 Devin Rousso 2021-02-03 13:21:09 PST
Comment on attachment 419141 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=419141&action=review

rs=me

> Source/WebKit/WebProcess/WebPage/WebPage.cpp:7154
> +            element->updateWithImageExtractionResult(WTFMove(result));

Just making sure, but I'm guessing that this will be added by Bug 221236, right?
Comment 3 Wenson Hsieh 2021-02-03 13:22:05 PST
(In reply to Devin Rousso from comment #2)
> Comment on attachment 419141 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=419141&action=review
> 
> rs=me
> 
> > Source/WebKit/WebProcess/WebPage/WebPage.cpp:7154
> > +            element->updateWithImageExtractionResult(WTFMove(result));
> 
> Just making sure, but I'm guessing that this will be added by Bug 221236,
> right?

Yep! (It's just green on EWS currently because the feature flag is disabled by default).
Comment 4 Wenson Hsieh 2021-02-05 13:35:35 PST
Created attachment 419455 [details]
Adjust for changes in #221236
Comment 5 Wenson Hsieh 2021-02-06 21:16:55 PST
Created attachment 419527 [details]
Patch for landing
Comment 6 Wenson Hsieh 2021-02-06 21:24:37 PST
Created attachment 419528 [details]
Patch for landing
Comment 7 EWS 2021-02-06 22:08:13 PST
Committed r272470: <https://commits.webkit.org/r272470>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419528 [details].